/* general */
:root {
    --primary-color: #4a92f2;
    --body-bg: #040303;
    --card-bg: rgba(255, 255, 255, 0.1);
    --card-border:rgba(255, 255, 255, 0.2);
    --blue-border: rgba(74, 146, 242, 0.3);
    --text-color: #d1d5db;
}
body{
    background-color: var(--body-bg);
    color: var(--text-color);
    font-family: "Inter", sans-serif;
}
.orbitron {
    font-family: "Orbitron", sans-serif;
}
/* navbar */
.nav-custom-base {
    border-color: var(--blue-border) !important; 
    background-color: var(--body-bg);
    padding: 13px 35px;
    z-index: 100 !important;
}
.navbar-sec{
    padding: 13px 35px;
}
.nav-custom-base a:hover{
    color: var(--primary-color) !important; 
}

/* hero */
.particle {
    position: absolute;
    width: 2px;
    height: 2px;
    border-radius: 50%;
    background-color: var(--primary-color);
    z-index: 1;
    animation: float 6s ease-in-out infinite;
    box-shadow: 0 0 10px var(--primary-color);
}
.p1 {
    top: 20%; 
    left: 10%; 
    animation-delay: 0s; 
}
.p2 { 
    top: 50%; 
    left: 5%; 
    animation-delay: 2s; 
}
.p3 { 
    top: 30%; 
    right: 15%; 
    animation-delay: 1s; 
}
.p4 { 
    bottom: 20%; 
    right: 20%; 
    animation-delay: 3s; 
}
.p5{
    bottom: 10%; 
    left: 20%; 
    animation-delay: 2s;
}

@keyframes float {
    0%, 100% { 
        transform: translateY(0) scale(1); 
        opacity: 0.2; 
    }
    50% { 
        transform: translateY(-30px) scale(1.5); 
        opacity: 0.8;
    }
}

.brand-circle {
    width: 160px;
    height: 160px;
    border-radius: 50%;
    border: 3px solid var(--primary-color);
    box-shadow: 0 0 20px rgba(74, 146, 242, 0.3);
    transition: all 0.4s ease;
    overflow: hidden;
}
.brand-circle:hover {
    box-shadow: 0 0 40px rgba(74, 146, 242, 0.7);
    transform: scale(1.05);
}
.brand-circle .img{
    position: absolute; 
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: top center;
}
.typing-animation {
    color: var(--primary-color);
    display: inline-block;
    overflow: hidden;
    white-space: nowrap;
    border-right: 3px solid var(--primary-color);
    max-width: fit-content;
    animation: typing 6s steps(25, end) infinite,  blink 0.75s step-end infinite;
}
@keyframes typing { 
    0% { 
        width: 0; 
    }
    50% { 
        width: 100%; 
    }   
    70% { 
        width: 100%; 
    }   
    100% { 
        width: 0; 
    }    
}
@keyframes blink { 
    from, to { 
        border-color: transparent; 
    } 
    50% { 
        border-color: var(--primary-color); 
    } 
}
.hero-prgh{
    max-width: 50%;
}
.view-work{
    background-color: var(--primary-color);
}
.view-work, .cv {
    transition: all 0.3s ease-in-out;
}
.view-work:hover {
    background-color: var(--primary-color);
}
.cv{
    border-color: var(--primary-color);
    color: var(--primary-color);
}
.cv:hover {
    background-color: var(--primary-color) !important; /* يتملي أخضر */
    color: #000 !important;  
}

/* driver */
.gradient-line {
    height: 1px;
    background: linear-gradient(90deg, transparent, var(--primary-color), transparent);
    width: 100%;
    margin-bottom: 3rem;
    animation: pulse 2s infinite;
}
@keyframes pulse {
    0%, 100% { 
        opacity: 0.3; 
    }
    50% { 
        opacity: 1; 
    }
}

/* about */
.text-style {
    color: var(--primary-color) !important;
}
.glass-tag {
    background: var(--card-bg);
    border: 1px solid var(--blue-border);
    color: #e0e0e0;
}
.skill-card {
    background: var(--card-bg);
    border: 1px solid var(--card-border) !important;
}
.custom-progress {
    height: 8px !important;
    background-color: var(--card-bg) !important;
    overflow: hidden; 
}
.custom-progress .progress-bar {
    background-color: var(--primary-color) !important;
}

/* tech-stack */
.tech-box {
    background: var(--card-bg); 
    border: 1px solid var(--card-border);
    transition: all 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275);
    cursor: pointer;
}
.tech-box:hover {
    background: rgba(74, 146, 242, 0.08);
    border-color: var(--primary-color);
    transform: translateY(-10px);
    box-shadow: 0 10px 20px var(--blue-border);
}
.tech-box i {
    font-size: 2.5rem;
    transition: transform 0.4s ease;
}
.tech-box:hover i {
    transform: scale(1.2) rotate(5deg);
}
.tech-box.html i { 
    color: #e34f26; 
}    
.tech-box.css i { 
    color: #1572b6; 
}   
.tech-box.bootstrap i { 
    color: #7952b3; 
} 
.tech-box.js i { 
    color: #f7df1e; 
}      
.tech-box.git i { 
    color: #f05032; 
}    
.tech-box.github i { 
    color: #fff; 
}  

/* projects */
.project-card {
    transition: all 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275);
    border: 1px solid rgba(74, 146, 242, 0.3);
    background: var(--card-bg);
    backdrop-filter: blur(10px);
}
.project-card:hover {
    transform: translateY(-10px); 
    border-color: var(--primary-color);
    box-shadow: 0 10px 20px var(--blue-border); 
}
.project-img-wrapper {
    position: relative;
    aspect-ratio: 16 / 10;
}
.project-img {
    width: 100%;
    height: 100%;
    object-fit: cover; 
    transition: transform 0.6s ease;
    border-radius: 22px !important;
}
.project-card:hover .project-img {
    transform: scale(1.1); 
}
.desc{
    text-align: justify;
}
.skill-tag {
    background: rgba(74, 146, 242, 0.2) !important;
    color: var(--primary-color) !important;
    border: 1px solid var(--card-border);
    font-weight: 500;
}
.btn-primary {
    background-color: var(--primary-color);
    border: none;
    color: #000 !important;
}
.btn-outline-primary {
    border: 1px solid var(--primary-color);
    color: var(--primary-color);
}
.btn-outline-primary:hover {
    background-color: var(--primary-color) !important;
    color: #000 !important; 
}

/* contact */
.custom-form-bg {
    background-color: var(--card-bg) !important;
    border-color: var(--card-border);
}
.custom-input {
    background-color: transparent !important;
    border: 1px solid rgba(74, 146, 242, 0.2) !important;
    color: #fff !important;
    transition: all 0.3s ease;
    border-radius: 15px !important;
}
.custom-input:focus {
    border-color: var(--primary-color) !important;
    box-shadow: 0 0 10px var(--blue-border) !important;
    background-color: rgba(255, 255, 255, 0.02) !important;
    outline: none;
}
::placeholder { 
    color: rgba(255,255,255,0.3) !important; 
}
.social-circle {
    width: 50px;
    height: 50px;
    border: 1px solid var(--primary-color); 
    color: var(--primary-color); 
    transition: all 0.4s ease;
    background: transparent;
}
.social-circle:hover {
    background-color: var(--primary-color);
    color: #000; 
    transform: translateY(-5px);
    box-shadow: 0 0 15px var(--primary-color);
}
.social-circle i {
    font-size: 1.3rem; 
}

.whatsapp-btn {
    bottom: 100px;
    right: 20px;
    z-index: 9999;
    
    background-color: var(--primary-color);
    color: #fff !important;
    
    padding: 10px 20px;
    border-radius: 50px;
    transition: all 0.3s ease;
    border: 1px solid rgba(255, 255, 255, 0.2);
}


